function drukuj_liste_albumow(array){
	var albumy = eval('('+array+')');
	var albums_field = document.getElementById("albums_field");
	const ROWHEIGHT = 21;
	var height = 0;
	
	removeChilds(albums_field);
	
	for(var i=0; i<albumy.length; i++){
		var row = document.createElement("div");
		row.id = albumy[i][0];
		row.appendChild(document.createTextNode(albumy[i][1]));
		row.onclick = pokaz_szczegoly_albumu;
		albums_field.appendChild(row);
		height += ROWHEIGHT;
	}
	
	albums_field.style.height = height + "px";
}

function drukuj_szczegoly_albumu(album){
	for(var klucz in album){
		var field = document.getElementById(klucz);
		if(field){
			field.value = album[klucz];
			field.onchange = function(){

			}
		}
	}
	
	var lista = document.getElementById("utwory");
	removeChilds(lista);
	
	for(var i in album.utwory){
		var row = stworz_wiersz_utworu(album.utwory[i]);
		lista.appendChild(row);
	}
}

function stworz_wiersz_utworu(utwor){
	var row = document.createElement("div");
	row.className = "utwor_row";
	row.id = utwor.utwor_id;
	
	for(var klucz in utwor){
		if(klucz != 'utwor_id' && klucz != 'album_id'){
			var input = document.createElement("input");
			input.type = "text";
			input.className = klucz;
			input.value = utwor[klucz];
			input.onchange = function(){
			
			}
			row.appendChild(input);
		}
	}
	
	var input = document.createElement("input");
	input.type = "button";
	input.className = "button usun";
	input.value = "X";
	//input.onclick = usun_utwor;
	row.appendChild(input);
	
	return row;
}